For the complete documentation index, see llms.txt. This page is also available as Markdown.

Voicemails

List voicemails

get

Retrieve a collection of voicemails.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/voicemails
GET /api/voicemails HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "count": 100,
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "sender": "text",
      "created_at": "2017-07-21T17:32:28Z",
      "duration": 1,
      "status": "READ",
      "file_name": "text",
      "file_size": 0,
      "file_url": "/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK"
    }
  ]
}

Retrieve a voicemail

get

Retrieve voicemail information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
senderstringOptional

The sender number of the voicemail.

created_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
durationinteger · int32Optional

The playback time (in seconds).

statusstring · enumOptional

Status of the voicemail includes:

  • READ: read mail
  • UNREAD: unread mail
Possible values:
file_namestringOptional

The name of the file.

file_sizeinteger · int64Optional

The file size in bytes.

Example: 0
file_urlstringRead-onlyOptional

The relative path to file url for file downloading.

Example: /api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK
get/voicemails/{id}
GET /api/voicemails/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
  "sender": "text",
  "created_at": "2017-07-21T17:32:28Z",
  "duration": 1,
  "status": "READ",
  "file_name": "text",
  "file_size": 0,
  "file_url": "/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK"
}

Was this helpful?